## icedtea-web 1.8.4

=== tests/UnitTest++/Makefile ===
CXX = g++
CXXFLAGS ?= -g -Wall -W -ansi # -pedantic
LDFLAGS ?= 
SED = sed
MV = mv
RM = rm

.SUFFIXES: .o .cpp

lib = libUnitTest++.a
test = TestUnitTest++

src = src/AssertException.cpp \
	src/Test.cpp \
	src/Checks.cpp \
	src/TestRunner.cpp \
	src/TestResults.cpp \
	src/TestReporter.cpp \
	src/TestReporterStdout.cpp \
	src/ReportAssert.cpp \
	src/TestList.cpp \
	src/TimeConstraint.cpp \
	src/TestDetails.cpp \
	src/MemoryOutStream.cpp \
	src/DeferredTestReporter.cpp \
	src/DeferredTestResult.cpp \
	src/XmlTestReporter.cpp \
	src/CurrentTest.cpp
	
ifeq ($(MSYSTEM), MINGW32)
  src += src/Win32/TimeHelpers.cpp
else
  src += src/Posix/SignalTranslator.cpp \
	src/Posix/TimeHelpers.cpp
endif

test_src = src/tests/Main.cpp \
	src/tests/TestAssertHandler.cpp \
	src/tests/TestChecks.cpp \
	src/tests/TestUnitTest++.cpp \
	src/tests/TestTest.cpp \
	src/tests/TestTestResults.cpp \
	src/tests/TestTestRunner.cpp \
	src/tests/TestCheckMacros.cpp \
	src/tests/TestTestList.cpp \
	src/tests/TestTestMacros.cpp \
	src/tests/TestTimeConstraint.cpp \
	src/tests/TestTimeConstraintMacro.cpp \
	src/tests/TestMemoryOutStream.cpp \
	src/tests/TestDeferredTestReporter.cpp \
	src/tests/TestXmlTestReporter.cpp \
	src/tests/TestCurrentTest.cpp

objects = $(patsubst %.cpp, %.o, $(src))
test_objects = $(patsubst %.cpp, %.o, $(test_src))
dependencies = $(subst .o,.d,$(objects))
test_dependencies = $(subst .o,.d,$(test_objects))

define make-depend
  $(CXX) $(CXXFLAGS) -M $1 | \
  $(SED) -e 's,\($(notdir $2)\) *:,$(dir $2)\1: ,' > $3.tmp
  $(SED) -e 's/#.*//' \
      -e 's/^[^:]*: *//' \
      -e 's/ *\\$$//' \
      -e '/^$$/ d' \
      -e 's/$$/ :/' $3.tmp >> $3.tmp
  $(MV) $3.tmp $3
endef


all: $(lib)


$(lib): $(objects) 
	@echo Creating $(lib) library...
	@ar cr $(lib) $(objects)
    
$(test): $(lib) $(test_objects)
	@echo Linking $(test)...
	@$(CXX) $(LDFLAGS) -o $(test) $(test_objects) $(lib)
	@echo Running unit tests...
	@./$(test)

clean:
	-@$(RM) $(objects) $(test_objects) $(dependencies) $(test_dependencies) $(test) $(lib) 2> /dev/null

%.o : %.cpp
	@echo $<
	@$(call make-depend,$<,$@,$(subst .o,.d,$@))
	@$(CXX) $(CXXFLAGS) -c $< -o $(patsubst %.cpp, %.o, $<)


ifneq "$(MAKECMDGOALS)" "clean"
-include $(dependencies)
-include $(test_dependencies)
endif

=== tests/reproducers/custom/AdditionalJarsInMetaInfIndexList/srcs/Makefile ===
TESTNAME=AdditionalJarsInMetaInfIndexList
ARCHIVE_TEST_FOLDER=archive_tag_folder_test

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
KEYTOOL=$(EXPORTED_KEYTOOL)
JARSIGNER=$(EXPORTED_JARSIGNER)
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

# File used because the 'jar' command does not accept an empty file
DUMMY_FILE=jar_dummy_content

# Index jar causes main class jar to load
INDEX_JAR_UNSIGNED=AdditionalJarsInMetaInfIndexListUnsigned.jar
INDEX_JAR_SIGNED=AdditionalJarsInMetaInfIndexListSigned.jar

MAINCLASS=LoadedViaMetaInfIndexList

MAINCLASS_JAR_UNSIGNED=LoadedViaMetaInfIndexListUnsigned.jar
MAINCLASS_JAR_SIGNED=LoadedViaMetaInfIndexListSigned.jar

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(MAINCLASS).java
	
	# Create the jars which have INDEX.LIST
	cd $(TMPDIR) ; \
	echo "This file exists because jar command does not take 0 args" > $(DUMMY_FILE) ; \
	$(JAR) cvf $(INDEX_JAR_UNSIGNED) $(DUMMY_FILE)	; \
	$(JAR) cvf $(INDEX_JAR_SIGNED) $(DUMMY_FILE) ;
	
	# Create the jar which has the main-class
	# and update INDEX_JAR_*'s index
	cd $(TMPDIR) ; \
	$(JAR) cvf $(MAINCLASS_JAR_UNSIGNED) $(MAINCLASS).class ; \
	$(JAR) cvf $(MAINCLASS_JAR_SIGNED) $(MAINCLASS).class  ; \
	$(JAR) i $(INDEX_JAR_UNSIGNED) $(MAINCLASS_JAR_UNSIGNED) ; \
	$(JAR) i $(INDEX_JAR_SIGNED) $(MAINCLASS_JAR_SIGNED) ; 
	
	# Sign some of the jars for the signed jar test
	cd $(TMPDIR) ; \
	for jar_to_sign in $(MAINCLASS_JAR_SIGNED) $(INDEX_JAR_SIGNED); do \
	   $(EXPORTED_JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	   -keypass $(PRIVATE_KEYSTORE_PASS) "$$jar_to_sign" $(TEST_CERT_ALIAS)_signed   ; \
	done
	
	# Move jars into deployment directory
	cd $(TMPDIR); \
	mv $(INDEX_JAR_UNSIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(INDEX_JAR_SIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(MAINCLASS_JAR_UNSIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(MAINCLASS_JAR_SIGNED) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; 
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/ExtensionJnlpsInApplet/srcs/Makefile ===
TESTNAME=ExtensionJnlpsInApplet

SRC_FILES=ExtensionJnlpHelper.java ExtensionJnlpTestApplet.java
RESOURCE_FILES=ExtensionJnlpTest.html ExtensionJnlpTestApplet.jnlp ExtensionJnlpHelper.jnlp
ENTRYPOINT_CLASSES=ExtensionJnlpHelper ExtensionJnlpTestApplet

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)

	cd ../resources; \
	cp $(RESOURCE_FILES) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cd -; \
	ls; \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		cd $(TMPDIR); \
		$(JAR) cfe "$$CLASS.jar" "$$CLASS" "$$CLASS.class"; \
		cd -;\
		mv $(TMPDIR)/"$$CLASS.jar" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/GifarCreator/srcs/Makefile ===
DEPLOY_SUBDIR=$(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)
GIF=$(DEPLOY_SUBDIR)/happyNonAnimated.gif
JAR=$(DEPLOY_SUBDIR)/GifarBase.jar
RESULT1=$(DEPLOY_SUBDIR)/Gifar.jar
RESULT2=$(DEPLOY_SUBDIR)/Gifar.gif

#this is dependent on reproducers/signed/GifarBase

prepare-reproducer:
	cat $(GIF) > $(RESULT1)
	cat $(JAR) >> $(RESULT1)
	cp $(RESULT1) $(RESULT2)

clean-reproducer:
	rm -rf $(RESULT1)
	rm -rf $(RESULT2)

=== tests/reproducers/custom/JavaFx/srcs/Makefile ===
TESTNAME=JavaFx

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)
	#this test contains prebuild binary, as javafx, when installed on computer, preven ITW from building
	#due to JSObject differennt implementation
	#$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) Controller.java Main.java; \
	#cp helloworld.fxml $(TMPDIR) ; \
	#pushd $(TMPDIR); \
	#$(JAR) cf $(TESTNAME).jar *.class *.fxml; \
	#popd
	#cp $(TMPDIR)/$(TESTNAME).jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	rm -rf $(TMPDIR); \
	echo PREPARED REPRODUCER $(TESTNAME); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/SignedAppletExternalMainClass/srcs/Makefile ===
TESTNAME=SignedAppletExternalMainClass

JARSIGNER=$(EXPORTED_JARSIGNER)
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) $(TESTNAME).java $(TESTNAME)Helper.java
	
	cd $(TMPDIR) ; \
	$(JAR) cvf $(TESTNAME)Helper.jar $(TESTNAME)Helper.class ; \
	$(EXPORTED_JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	-keypass $(PRIVATE_KEYSTORE_PASS) "$(TMPDIR)/$(TESTNAME)Helper.jar" $(TEST_CERT_ALIAS)_signed   ; \
	
	cd $(TMPDIR); \
	mv $(TESTNAME).class $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)Helper.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ;
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== debian/changelog ===
icedtea-web (1.8.4-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:00 +0000

icedtea-web (1.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Jun 2020 22:58:41 +0200

=== debian/control ===
Source: icedtea-web
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 default-jdk,
 dh-exec,
 librhino-java,
 libtagsoup-java,
 pkg-config,
 zip
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Package: icedtea-netx
Architecture: all
Depends: ${misc:Depends}, default-jre, librhino-java, libtagsoup-java
Breaks:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Provides: icedtea-netx-common
Description: Implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dead, the IcedTea Web project is hosting a fork of the
 original code. However, as icedtea-web has evolved to complex set of tools,
 extensions and tests, it has now only a few lines of code shared with the
 original implementation.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the JNLP API.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

buildflags := CXXFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build/completion
	cd build && $(buildflags) ../configure --prefix=/usr \
	                                       --bindir=/usr/share/icedtea-web/bin/ \
	                                       --mandir=/usr/share/icedtea-web/man/ \
	                                       --with-pkgversion="$(DEB_VERSION_UPSTREAM)" \
	                                       --disable-docs \
	                                       --disable-pluginjar \
	                                       --disable-native_plugin \
	                                       --enable-shell-launchers \
	                                       --with-itw-libs=DISTRIBUTION \
	                                       --with-java=/usr/bin/java \
	                                       --with-jdk-home=/usr/lib/jvm/default-java

override_dh_auto_build:
	rm -Rf netx/sun netx/net/sourceforge/jnlp/NetxPanel.java
	MODULARJDK_ARGS_DIR=/usr/share/icedtea-web/bin/itw-modularjdk.args \
	$(MAKE) -C build VERSION_DEFS='-DHAVE_JAVA9'

override_dh_auto_install:
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp

	# compress manpages
	find debian/tmp/usr/share/icedtea-web/man/man1/ -type f ! -type l | xargs gzip -9v -n

## icedtea-web 1.8.8

=== tests/reproducers/custom/AppletExtendsFromOutsideJar/srcs/Makefile ===
TESTNAME=AppletExtendsFromOutsideJar

SRC_FILES=AppletReferenceInSameJar.java AppletReferenceOutOfJar.java Referenced.java
JAR_FILES=AppletReferenceInSameJar.class Referenced.class
OUTER_FILE=AppletReferenceOutOfJar.class

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)
	
	cd $(TMPDIR); \
	$(JAR) cvf $(TESTNAME).jar $(JAR_FILES); \
	mv $(OUTER_FILE) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	mv $(TESTNAME).jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); 
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/JNLPClassLoaderDeadlock/srcs/Makefile ===
TESTNAME=JNLPClassLoaderDeadlock

SRC_FILES=JNLPClassLoaderDeadlock_1.java JNLPClassLoaderDeadlock_2.java
RESOURCE_FILES=JNLPClassLoaderDeadlock.html
ENTRYPOINT_CLASSES=JNLPClassLoaderDeadlock_1 JNLPClassLoaderDeadlock_2

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES)

	cd ../resources; \
	cp $(RESOURCE_FILES) $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cd -; \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		mv $(TMPDIR)/"$$CLASS.class" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/MixedSigningAndTrustedOnly/srcs/Makefile ===
TESTNAME=MixedSigningAndTrustedOnly

SRC_NAME1=$(TESTNAME)Class1
SRC_NAME2=$(TESTNAME)Class2
SRC_FILE1=$(SRC_NAME1).java
SRC_FILE2=$(SRC_NAME2).java
COMPILED_FILES1=$(SRC_NAME1)*.class
COMPILED_FILES2=$(SRC_NAME2)*.class

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS)
SIGFILE=-sigfile Alpha

SIGNED1=$(TESTNAME)BothSigned.jar
SIGNED2=$(TESTNAME)FirstSigned.jar
SIGNED3=$(TESTNAME)SecondSigned.jar
UNSIGNED1=$(TESTNAME)BothUnsigned.jar
UNSIGNED2=$(TESTNAME)FirstUnsigned.jar
UNSIGNED3=$(TESTNAME)SecondUnsigned.jar

MSIGNED1=$(TESTNAME)BothSignedManifest.jar
MSIGNED2=$(TESTNAME)FirstSignedManifest.jar
MSIGNED3=$(TESTNAME)SecondSignedManifest.jar
MUNSIGNED1=$(TESTNAME)BothUnsignedManifest.jar
MUNSIGNED2=$(TESTNAME)FirstUnsignedManifest.jar
MUNSIGNED3=$(TESTNAME)SecondUnsignedManifest.jar

MANIFEST=MANIFEST.MF
ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME) ; \
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILE1) $(SRC_FILE2); \
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	pushd $(TMPDIR); \
	$(JAR) cf $(SIGNED1) $(COMPILED_FILES1) $(COMPILED_FILES2); \
	$(JAR) cf $(SIGNED2) $(COMPILED_FILES1) ; \
	$(JAR) cf $(SIGNED3) $(COMPILED_FILES2); \
	$(JAR) cf $(UNSIGNED1) $(COMPILED_FILES1) $(COMPILED_FILES2); \
	$(JAR) cf $(UNSIGNED2) $(COMPILED_FILES1) ; \
	$(JAR) cf $(UNSIGNED3) $(COMPILED_FILES2); \
	popd ; \
	cp $(MANIFEST) $(TMPDIR) ; \
	pushd $(TMPDIR); \
	$(JAR) cfm  $(MSIGNED1)   $(MANIFEST) $(COMPILED_FILES1) $(COMPILED_FILES2); \
	$(JAR) cfm  $(MSIGNED2)   $(MANIFEST) $(COMPILED_FILES1) ; \
	$(JAR) cfm  $(MSIGNED3)   $(MANIFEST) $(COMPILED_FILES2); \
	$(JAR) cfm  $(MUNSIGNED1) $(MANIFEST) $(COMPILED_FILES1) $(COMPILED_FILES2); \
	$(JAR) cfm  $(MUNSIGNED2) $(MANIFEST) $(COMPILED_FILES1) ; \
	$(JAR) cfm  $(MUNSIGNED3) $(MANIFEST) $(COMPILED_FILES2); \
	popd ; \
	$(JARSIGNER_CMD) $(SIGFILE) $(TMPDIR)/$(SIGNED1) $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) $(SIGFILE) $(TMPDIR)/$(SIGNED2) $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) $(SIGFILE) $(TMPDIR)/$(SIGNED3) $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) $(SIGFILE) $(TMPDIR)/$(MSIGNED1) $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) $(SIGFILE) $(TMPDIR)/$(MSIGNED2) $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) $(SIGFILE) $(TMPDIR)/$(MSIGNED3) $(TEST_CERT_ALIAS)_signed; \
	cp $(TMPDIR)/{$(SIGNED1),$(SIGNED2),$(SIGNED3)} $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp $(TMPDIR)/{$(UNSIGNED1),$(UNSIGNED2),$(UNSIGNED3)} $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp $(TMPDIR)/{$(MSIGNED1),$(MSIGNED2),$(MSIGNED3)} $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp $(TMPDIR)/{$(MUNSIGNED1),$(MUNSIGNED2),$(MUNSIGNED3)} $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); 

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/MultipleSignaturesPerJar/srcs/Makefile ===
TESTNAME=MultipleSignaturesPerJar

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
KEYTOOL=$(EXPORTED_KEYTOOL)
JARSIGNER=$(EXPORTED_JARSIGNER)
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS) 
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

# Index jar causes main class jar to load

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) somecrazytestpackage/MultipleSignaturesPerJarMain.java
	
	# Extract ReadPropertiesSigned.class for our usage
	cd $(TMPDIR) ; \
	$(JAR) xf $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR)/ReadPropertiesSigned.jar ReadPropertiesSigned.class ; 
	
	# Create jars *testname*_A_and_B.jar, *testname*_A_only.jar, *testname*_B_only.jar 
	# These are signed by signatures A and B, A only, B only, respectively.
	
	# *testname*_A_and_B.jar as well as *testname*_B_only.jar contain ReadPropertiesSigned.class, which exercises the signing.
	# *testname*_A_only.jar contains MultipleSignaturesTest.class, the (reused) main class for this reproducer.
	
	cd $(TMPDIR) ; \
	$(JAR) cvf $(TESTNAME)_B_only.jar ReadPropertiesSigned.class ; \
	cp $(TESTNAME)_B_only.jar $(TESTNAME)_A_and_B.jar ; \
	$(JAR) cvf $(TESTNAME)_A_only.jar somecrazytestpackage ;
	
	# Sign with signature 'A', the signature used in the 'signed' reproducer group
	cd $(TMPDIR) ; \
	for jar_to_sign in $(TESTNAME)_A_only.jar $(TESTNAME)_A_and_B.jar; do \
	   $(JARSIGNER_CMD) -sigfile Alpha "$$jar_to_sign" $(TEST_CERT_ALIAS)_signed  ; \
	done
	
	# Sign with signature 'B', the signature used in the 'signed2' reproducer group
	cd $(TMPDIR) ; \
	for jar_to_sign in $(TESTNAME)_B_only.jar $(TESTNAME)_A_and_B.jar; do \
	   $(JARSIGNER_CMD) -sigfile Beta "$$jar_to_sign" $(TEST_CERT_ALIAS)_signed2  ; \
	done
	
	# Move jars into deployment directory
	cd $(TMPDIR); \
	mv $(TESTNAME)_B_only.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)_A_only.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)_A_and_B.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ;
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/NoClassDeff/srcs/Makefile ===
TESTNAME=NoClassDeff

SRC_FILES=NoClassDeff
ENTRYPOINT_CLASSES=NoClassDeff

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME);
	pwd;
	ls ;
	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) *.java;
	#now the hack, remove inner class so we can later die on CNFE or NCDFE
	ls $(TMPDIR)/
	rm $(TMPDIR)/*\$$* ;  
	ls $(TMPDIR)/
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	for CLASS in $(ENTRYPOINT_CLASSES); \
	do \
		cd $(TMPDIR); \
		$(JAR) cfe "$$CLASS.jar" "$$CLASS" "$$CLASS.class"; \
		cd -;\
		mv $(TMPDIR)/"$$CLASS.jar" $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	done; \
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR) ; \
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/PackGZip/srcs/Makefile ===
TESTNAME=PackGZip

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)
PACKER=$(EXPORTED_PACK200)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(TESTNAME).java; \
	
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	cd $(TMPDIR); \
	$(JAR) cf $(TESTNAME).jar $(TESTNAME).class; \
	cd $(TMPDIR); \
    $(PACKER) $(TESTNAME).jar.pack.gz $(TESTNAME).jar; \
	cp $(TMPDIR)/$(TESTNAME).jar.pack.gz $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/PartiallySignedAppletManifestSpecifiesSandbox/srcs/Makefile ===
TESTNAME=PartiallySignedAppletManifestSpecifiesSandbox

SRC_FILES=PartiallySignedAppletManifestSpecifiesSandboxSigned.java PartiallySignedAppletManifestSpecifiesSandboxUnsigned.java
ENTRYPOINT_CLASSES=PartiallySignedAppletManifestSpecifiesSandboxHelper

JAVAC_CLASSPATH=$(TEST_EXTENSIONS_DIR):$(NETX_DIR)/lib/classes.jar
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)
JARSIGNER=$(EXPORTED_JARSIGNER)
JARSIGNER_CMD=$(JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass $(PRIVATE_KEYSTORE_PASS) -keypass $(PRIVATE_KEYSTORE_PASS)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer:
	echo PREPARING REPRODUCER $(TESTNAME)

	$(JAVAC) -d $(TMPDIR) -classpath $(JAVAC_CLASSPATH) $(SRC_FILES); \
	
	cp ../resources/* $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \
	cp ../srcs/MANIFEST.MF* $(TMPDIR); \

	cd $(TMPDIR); \
	$(JAR) cfme PartiallySignedAppletManifestSpecifiesSandboxSigned.jar MANIFEST.MF.1 signed.PartiallySignedAppletManifestSpecifiesSandboxSigned signed; \
	$(JAR) cfme PartiallySignedAppletManifestSpecifiesSandbox.jar MANIFEST.MF.1 unsigned.PartiallySignedAppletManifestSpecifiesSandboxUnsigned unsigned; \
        $(JAR) cfme PartiallySignedAppletManifestSpecifiesAllPermissionSigned.jar MANIFEST.MF.2 signed.PartiallySignedAppletManifestSpecifiesSandboxSigned signed; \
	$(JAR) cfme PartiallySignedAppletManifestSpecifiesAllPermission.jar MANIFEST.MF.2 unsigned.PartiallySignedAppletManifestSpecifiesSandboxUnsigned unsigned; \
	cd -; \

	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/PartiallySignedAppletManifestSpecifiesSandboxSigned.jar $(TEST_CERT_ALIAS)_signed; \
	$(JARSIGNER_CMD) -sigfile Alpha $(TMPDIR)/PartiallySignedAppletManifestSpecifiesAllPermissionSigned.jar $(TEST_CERT_ALIAS)_signed; \

	cp $(TMPDIR)/PartiallySignedAppletManifestSpecifies{Sandbox,AllPermission}{Signed,}.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR); \

	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR); \
	rm -rf $(TMPDIR); \

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/TrustedOnlyAttribute/srcs/Makefile ===
TESTNAME=TrustedOnlyAttribute

JARSIGNER=$(EXPORTED_JARSIGNER)
JAVAC=$(EXPORTED_JAVAC)
JAR=$(EXPORTED_JAR)

ifeq ($(OS), Windows_NT)
	TMPDIR:=$(shell cygpath -p -m $(shell mktemp -d))
else
	TMPDIR:=$(shell mktemp -d)
endif

prepare-reproducer: 
	echo PREPARING REPRODUCER $(TESTNAME) in $(TMPDIR)
	
	cp MANIFEST.MF $(TMPDIR) ; \
	$(JAVAC) -d $(TMPDIR) $(TESTNAME).java ; \
	
	cd $(TMPDIR) ; \
	$(JAR) cvfm $(TESTNAME)Signed.jar MANIFEST.MF $(TESTNAME).class ; \
	$(JAR) cvfm $(TESTNAME)Unsigned.jar MANIFEST.MF $(TESTNAME).class ; \
	$(EXPORTED_JARSIGNER) -keystore $(TOP_BUILD_DIR)/$(PRIVATE_KEYSTORE_NAME) -storepass  $(PRIVATE_KEYSTORE_PASS)  \
	-keypass $(PRIVATE_KEYSTORE_PASS) "$(TMPDIR)/$(TESTNAME)Signed.jar" $(TEST_CERT_ALIAS)_signed ; \
	
	cd $(TMPDIR); \
	mv $(TESTNAME)Signed.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	mv $(TESTNAME)Unsigned.jar $(REPRODUCERS_TESTS_SERVER_DEPLOYDIR) ; \
	
	echo PREPARED REPRODUCER $(TESTNAME), removing $(TMPDIR)
	rm -rf $(TMPDIR)

clean-reproducer:
	echo NOTHING TO CLEAN FOR $(TESTNAME)

=== tests/reproducers/custom/remote/srcs/Makefile ===
prepare-reproducer:
	echo "Nothing to do to prepare remote reproducers now"

clean-reproducer:
	echo "Nothing to do to clean remote reproducers now"

=== debian/changelog ===
icedtea-web (1.8.8-2) unstable; urgency=medium

  * Team upload.
  * Removed pack200 support to build with Java 17 (Closes: #1011532)
  * Standards-Version updated to 4.6.1
  * Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Nov 2022 10:52:30 +0100

icedtea-web (1.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 05 May 2022 13:44:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: icedtea-web
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 12),
@@ -12,10 +11,10 @@
  libtagsoup-java,
  pkg-config,
  zip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
 Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
-Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web
+Homepage: https://github.com/AdoptOpenJDK/IcedTea-Web
 
 Package: icedtea-netx
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	                                       --with-jdk-home=/usr/lib/jvm/default-java
 
 override_dh_auto_build:
-	rm -Rf netx/sun netx/net/sourceforge/jnlp/NetxPanel.java
+	rm -Rf netx/sun netx/net/sourceforge/jnlp/NetxPanel.java netx/sun/applet/AppletViewerPanelAccess.java netx/sun/applet/package-info.java
 	MODULARJDK_ARGS_DIR=/usr/share/icedtea-web/bin/itw-modularjdk.args \
 	$(MAKE) -C build VERSION_DEFS='-DHAVE_JAVA9'

=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/AdoptOpenJDK/IcedTea-Web/tags .*/icedtea-web-([\d\.]+)(?:-branchpoint)?\.tar\.gz
